Subject: bug#63365: bug#65727: 30.0.50; Build failure in MSYS2 when --with-native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 May 2024 16:03:06 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>,  "[email-masked]"
>  <[email-masked]>,  [email-masked],  Arash Esbati <[email-masked]>,
>   András Svraka <[email-masked]>
> Date: Fri, 17 May 2024 08:06:56 -0400
> 
> I believe this is a GCC bug as the sibling call optimizer should not run
> in functions making use of 'builtin_unwind_init', even if this one is
> undocumented (otherwise I can't see its reason of being 🙂).
> 
> So I filed a GCC bug [1].
> 
> Despite the fact that this will or not be recognized as a bug (and in
> case fixed), I think we'll have to fix this on our codebase disabling
> the sibling call optimizations on the sentive function(s).

Agreed.  Can you install a patch along these lines?

Do we have other functions that could be sensitive to this issue?